math.randomseed( os.time() )

function love.load()
	win = love.graphics.setMode(640,480)
end

stars = {}
time = 1
function love.update(dt)
	if math.random(1,2) == 2 then
		local star = {}
		star.x = math.random(0,640)
		star.y = -100
		star.size = math.random(0.5,2)
		table.insert(stars,star)
	end
	
	for i=1, #stars do
		if stars[i] ~= nil then
			if stars[i].y < 480 then
				stars[i].y = stars[i].y+(150*dt*stars[i].size)
			else
				table.remove(stars,i)
			end
		end
	end
	
	if time >= 1 then
		love.graphics.setCaption("Watch the stars fly! ("..love.timer.getFPS().." FPS)")
		time = 0
	else
		time = time+dt
	end
end

f = love.graphics.newFont(12)
love.graphics.setFont(f)
function love.draw()
	for i=1, #stars do
		love.graphics.draw(love.graphics.newImage("star.png"),stars[i].x,stars[i].y,0,stars[i].size/4)
	end
end

